org.springframework.data.relational.core.sql.render

## Interface Renderer

All Known Implementing Classes:
  SqlRenderer

    public interface Renderer

SQL renderer for `Select` and `Delete` statements.

Since:
  1.1
Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `render(Delete delete)` Render the `Delete` AST into a SQL statement.
`String` `render(Insert insert)` Render the `Insert` AST into a SQL statement.
`String` `render(Select select)` Render the `Select` AST into a SQL statement.
`String` `render(Update update)` Render the `Update` AST into a SQL statement.

### Method Detail

#### render

    String render(Select select)

Render the `Select` AST into a SQL statement.

Parameters:
  `select` - the statement to render, must not be null.
Returns:
  the rendered statement.

#### render

    String render(Insert insert)

Render the `Insert` AST into a SQL statement.

Parameters:
  `insert` - the statement to render, must not be null.
Returns:
  the rendered statement.

#### render

    String render(Update update)

Render the `Update` AST into a SQL statement.

Parameters:
  `update` - the statement to render, must not be null.
Returns:
  the rendered statement.

#### render

    String render(Delete delete)

Render the `Delete` AST into a SQL statement.

Parameters:
  `delete` - the statement to render, must not be null.
Returns:
  the rendered statement.